<%= form_for @reservation, html: {class: "form-horizontal"} do |f| %>
  
  <% if @reservation.errors.any? %>
    <div class="alert alert-error">
      <button type="button" class="close" data-dismiss="alert">×</button>
      <h3><%= pluralize(@reservation.errors.count, "error") %> prohibited this reservation from being saved:</h3>
      <ul>
      <% @reservation.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <% if notice %>
    <div class="alert alert-success">
      <button type="button" class="close" data-dismiss="alert">×</button>
      <p><%= notice %></p>
    </div>
  <% end %>

  <% if Musician.all.size <= 0 %>
    <p>NO SE PUEDE DAR DE ALTA LA RESERVA: NO HAY MUSICOS DEFINIDOS.</p>
  <% else %>
    
    <div class="control-group">
      <%= f.label 'Room', { class: 'control-label' } %>
      <div class="controls">
        <%= select("reservation", "room_id", Room.all.collect{ |p| [p.name, p.id] }, {prompt: 'Seleccionar Sala'} ) %>
      </div>
    </div>

    <div class="control-group">
      <%= f.label :musician_id, { class: 'control-label' } %>
      <div class="controls">
        <%= select("reservation", "musician_id", Musician.all.collect{ |p| [ (p.lastname+', '+p.name), p.id] }, {prompt: 'Seleccionar Musico'} ) %>
      </div>
    </div>

    <div class="control-group">
      <%= f.label :band_id, { class: 'control-label' } %>
      <div class="controls">
        <% if Band.all.size > 0 %>
          <%= select("reservation", "band_id", Band.all.collect{ |p| [p.name, p.id] }, {prompt: 'Seleccionar Banda'} ) %>
          <% else %>
            <p>NO HAY BANDAS DEFINIDAS.</p>
          <% end %>
      </div>
    </div>

    <div class="control-group">
      <%= f.label :virtual_day, { class: 'control-label' } %>
      <div class="controls">
        <%= f.date_select :virtual_day %>
      </div>
    </div>
    <div class="control-group">
      <%= f.label :since, { class: 'control-label' } %>
      <div class="controls">
        <%= f.time_select :since, {minute_step: 30} %>
      </div>
    </div>
    <div class="control-group">
      <%= f.label :until, { class: 'control-label' } %>
      <div class="controls">
        <%= f.time_select :until, {minute_step: 30} %>
      </div>
    </div>
    
    <div class="form-actions">
      <%= f.submit "Guardar", { class: 'btn btn-primary' } %>
      <%= link_to 'Atras', reservations_path, { class: 'btn' } %>
    </div>

  <% end %>

<% end %>